Skip to content

Activate account

Request

Security
oauth2ClientCredentials(Required scopes: accounts:write)
Path
idstringrequired
Headers
org_wallet_refstring

Organization wallet reference, defaults to "1" if not provided

business_idstringrequired

Business identifier for the request

curl -i -X PUT \
  'https://developer.boyahq.com/_mock/v2/openapi/accounts/{id}/activate' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'business_id: string' \
  -H 'org_wallet_ref: string'

Responses

Account activated successfully

Bodyapplication/json
_idstring

Account MongoDB ID

org_wallet_refstring

Organization wallet reference

descriptionstring

Account description

namestring

Account name

walletIdstring

Wallet ID

boya_accnostring

Boya account number

availableBalancenumber

Available balance for spending

currentBalancenumber

Current account balance

reservationsArray of objects(ReservationDto)

Reserved amounts

ownersArray of objects(OwnerDto)

Account owners with roles

employees_allowed_to_make_paymentsArray of strings

Employees allowed to make payments

alert_contactsArray of objects(AlertContactDto)

Alert contacts for account notifications

statusstring

Account status

Enum:"ACTIVE""INACTIVE""SUSPENDED""CLOSED""BARRED"
wallet_typestring

Wallet type

Enum:"POOLFLOAT""REVENUE""MAIN""SINGLE-WALLET""PAYABLES""RECEIVABLES""PETTYCASH""EMPLOYEE-WALLET""SUBSCRIPTION-WALLET""BUDGET-WALLET"
business_idstring

Business ID

employee_idstring

Employee ID (for employee wallets)

teamstring

Team ID (for team wallets)

currencystring

Account currency (USD/KES)

is_childboolean

Is child account flag

configurationArray of objects(ConfigurationDto)

Account configuration settings

rulesArray of objects(RuleDto)

Business rules applied to account

outbound_channelsArray of strings

Available outbound payment channels

isBankAccountboolean

Is linked to bank account

bankobject(BankInfoDto)

Bank account details

depositInstructionsobject(DepositInstructionsDto)

Deposit instructions for funding this account

overdraftLimitnumber

Overdraft limit amount

overdraftWalletobject

Overdraft wallet reference

usedOverdraftnumber

Currently used overdraft amount

overdraftAccessChannelstring

Overdraft access channel

Enum:"BOYA""TABB""BANK"
createdAtstring

Created timestamp

updatedAtstring

Updated timestamp

__vnumber

Version key

accountNumberstring

Account number field (legacy)

computedPermissionsobject(ComputedPermissionsDto)

Policy-computed permission flags for this wallet

Response
{ "_id": "string", "org_wallet_ref": "string", "description": "string", "name": "string", "walletId": "string", "boya_accno": "string", "availableBalance": 0, "currentBalance": 0, "reservations": [ {} ], "owners": [ {} ], "employees_allowed_to_make_payments": [ "string" ], "alert_contacts": [ {} ], "status": "ACTIVE", "wallet_type": "POOLFLOAT", "business_id": "string", "employee_id": "string", "team": "string", "currency": "string", "is_child": true, "configuration": [ {} ], "rules": [ {} ], "outbound_channels": [ "string" ], "isBankAccount": true, "bank": { "name": "string", "accountNumber": "string", "accountName": "string", "branchName": "string", "swiftCode": "string", "bankCode": "string", "businessNumber": "string", "country": "string", "bank_logo_url": "string" }, "depositInstructions": { "bank": {}, "mpesa": {} }, "overdraftLimit": 0, "overdraftWallet": {}, "usedOverdraft": 0, "overdraftAccessChannel": "BOYA", "createdAt": "string", "updatedAt": "string", "__v": 0, "accountNumber": "string", "computedPermissions": { "permissions": [], "canViewBalance": true, "canViewTransactions": true, "canExport": true, "canInitiateTransfer": true, "canApprove": true, "canSpend": true, "maskAmounts": true, "transactionHistoryDays": 0, "limits": {}, "thresholds": {}, "expiresAt": {} } }